NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.SmartVolumeProfileBuilder Class Reference

This class contains the options for automatically closing the profile to surrounding model geometry. More...

Inheritance diagram for NXOpen.GeometricUtilities.SmartVolumeProfileBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CloseProfileRuleType { Fci, Lci, Cci }
 the type of profile closures to be performed More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.SmartVolumeProfileBuilder.CloseProfileRuleType 
CloseProfileRule [get, set]
 Returns or sets the option defines how to extend the open profile to form a proper intersection with the target body. More...
 
unsafe bool OpenProfileSmartVolumeOption [get, set]
 Returns or sets the option for enabling open profile smart volume. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class contains the options for automatically closing the profile to surrounding model geometry.

It is instantiated in section based sweep operators like extrude and revolve.

Created in NX8.5.0

Member Enumeration Documentation

the type of profile closures to be performed

Enumerator
Fci 

Extends the open profile to form the first complete intersection with the target.

Lci 

Extends the open profile to form the last complete intersection with the target.

Cci 

For subtract boolean operation, extends the open profile to form the last complete intersection if the profile lies outside the target excluding the coincident portion.

Otherwise, use the first complete intersection.

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.SmartVolumeProfileBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.SmartVolumeProfileBuilder.CloseProfileRuleType NXOpen.GeometricUtilities.SmartVolumeProfileBuilder.CloseProfileRule
getset

Returns or sets the option defines how to extend the open profile to form a proper intersection with the target body.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.SmartVolumeProfileBuilder.OpenProfileSmartVolumeOption
getset

Returns or sets the option for enabling open profile smart volume.

When this option is enabled, extends the tool volume along open end points of the profile to find closure with the target body.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.